package test.article2.recs.plugins.energy;

import example.energy.BaseEnergyEstimationPlugin;
import schedframe.resources.computing.ComputingNode;
import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.DataCenter;
import schedframe.resources.computing.profiles.energy.EnergyEvent;
import schedframe.resources.computing.profiles.energy.power.PowerUsage;
import schedframe.scheduling.manager.tasks.JobRegistry;

public class DataCenterEnergyEstimationPlugin extends BaseEnergyEstimationPlugin{

	@Override
	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
			ComputingResource resource) {
		double power = 0;
		DataCenter dataCenter = (DataCenter)resource;
		for(ComputingNode cn:dataCenter.getComputingNodes()){
			PowerUsage powerUsage = cn.getPowerInterface().getRecentPowerUsage();
			power += (powerUsage == null ? 0 : powerUsage.getValue());
		}
		
		return power;
	}
	
	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
		return 0;
	}

}
